<?xml version="1.0"?>
<doc>
    <assembly>
        <name>ImageWaterMark</name>
    </assembly>
    <members>
        
        <member name="M:ImageWaterMark.WaterMark.#ctor">
            
            <summary>
            实例化ImageWaterMark
            </summary>
            
        </member>
        
        <member name="M:ImageWaterMark.WaterMark.ImageOnlyCollect(System.String,System.String)">
            
            <summary>
            远程单张图片采集
            </summary>
            <param name="ImgUrl">图片Url路径</param>
            <param name="SavePath">保存图片的路径</param>
            
        </member>
        <member name="M:ImageWaterMark.WaterMark.ImageBatchCollect(System.String,System.String,System.String)">
            
            <summary>
            远程批量图片采集
            </summary>
            <param name="HttpUrl">要采集的目标网址</param>
            <param name="ImgType">图片类型,如：jpg|gif|png|bmp </param>
            <param name="SavePath">保存图片的路径</param>
            
        </member>
        <member name="M:ImageWaterMark.WaterMark.GetToWaterMarkImage(ImageWaterMark.WaterMark.WmGetType,System.Int32,System.Int32,System.Boolean,System.Int32,System.Int32,System.Boolean,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32,System.Boolean,System.Int32,System.Int32,System.Int32,System.Int32)">
            
            <summary> 
            <param name="wkType">水印类型,</param>
            <param name="picWidth">设置生成水印图片的宽，</param>
            <param name="picHeight">设置生成水印图片的高，</param>
            <param name="Miniature">是否生成缩略图；</param>
            <param name="mWidth">设置缩略图的宽，</param>
            <param name="mHeight">设置缩略图的高，</param>      
            <param name="mos">是否启用马赛克，</param>
            <param name="Granule">马赛克颗粒大小，</param>
            <param name="mosX">马赛克X起始位置，</param>
            <param name="mosY">马赛克Y起始位置，</param>
            <param name="mosWidth">mosWidth马赛克范围宽，</param>
            <param name="mosHeight">mosHeight马赛克范围高。</param>
            <param name="cut">是否启用图片裁剪，</param>
            <param name="cutX">X轴点位置开始裁剪，</param>
            <param name="cutY">Y轴点位置开始裁剪，</param>
            <param name="cutWidth">裁剪宽度，</param>
            <param name="cutHeight">裁剪高度。</param>
            </summary>
            
        </member>
        <member name="M:ImageWaterMark.WaterMark.ImageEdit(System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)">
            
            <summary> 
            <param name="brightness">设置图像亮度值，</param>
            <param name="contrast">设置图像对比度值，</param>
            <param name="R">设置图像红色值，</param>
            <param name="G">设置图像绿色值，</param>
            <param name="B">设置图像蓝色值。</param>        
            </summary>
            
        </member>
        <member name="M:ImageWaterMark.WaterMark.MBSN">
            
            <summary>
            返回当前服务器唯一标识
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.ImageQuality">
            
            <summary>
            设置生成图片的质量，建议设为90
            </summary>
            
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkTransparence">
            
             <summary>
            设置水印透明度(最大值为100)
             </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkAngle">
            
            <summary>
            设置水印旋转角度(最大值为360)
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkTextSize">
            
            <summary>
            指定水印文字大小
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkPlaceX">
            
            <summary>
            自定义水印位置X轴值
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkPlaceY">
            
            <summary>
            自定义水印位置Y轴值
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkTextFont">
            
            <summary>
            设置水印文本字体
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkTextColor">
            
             <summary>
            设置水印文字颜色
             </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkTextCSS">
            
            <summary>
            设置水印文字样式
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkTextShadowColor">
            
            <summary>
            设置水印文字阴影颜色
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkImageGroundColor">
            
            <summary>
            过滤水印图片底色
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.SourceImagePath">
            
            <summary>
            原图片路径和名称
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.MiniatureImagePath">
            
            <summary>
            保存缩略图路径,未配置则保存为原图片路径
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkAlign">
            
            <summary>
            设置水印在图像上的位置
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkImagePath">
            
            <summary>
            指定水印图片路径
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.SaveWaterMarkImagePath">
            
            <summary>
            保存生成后的水印图片路径和名称,未配置则保存为原图片路径
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkText">
            
            <summary>
            设置水印文字
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkTextShadowDepthX">
            
            <summary>
            指定水印文字阴影深度X轴值
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.WaterMarkTextShadowDepthY">
            
            <summary>
            指定水印文字阴影深度Y轴值
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.TxTShadowTransparence">
            
            <summary>
            设置文字阴影透明度
            </summary>
        </member>
        <member name="P:ImageWaterMark.WaterMark.DelSourceImg">
            
            <summary>
            是否删除原图（参数为bool类型）
            </summary>
            
        </member>
        <member name="P:ImageWaterMark.WaterMark.Sfpath">
            
             <summary>
             获取生成的水印图片路径
             </summary>
            
        </member>
        <member name="P:ImageWaterMark.WaterMark.Mfpath">
            
            <summary>
            获取缩略图路径
            </summary>
            
        </member>
        <member name="P:ImageWaterMark.WaterMark.SetEffect">
            
            <summary>
            设置图像处理效果
            </summary>
            
        </member>
        <member name="P:ImageWaterMark.WaterMark.ImageRotate">
            
            <summary>
            图像旋转
            </summary>
            
        </member>
        <member name="P:ImageWaterMark.WaterMark.TextShadow">
            
            <summary>
            是否启用文字阴影
            </summary>
            
        </member>
        <member name="P:ImageWaterMark.WaterMark.Upright">
            
            <summary>
            是否启用文字水印呈竖型排列
            </summary>
            
        </member>
        <member name="T:ImageWaterMark.WaterMark.ImageAlign">
            
            <summary>
            指定图像的对齐方式
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ImageAlign.LeftTop">
            
            <summary>
            指定水印在左上角
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ImageAlign.LeftBottom">
            
            <summary>
            指定水印在左下角
            </summary>
        </member>
        <member name="F:ImageWaterMark.WaterMark.ImageAlign.RightTop">
            
            <summary>
            指定水印在右上角
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ImageAlign.RightBottom">
            
            <summary>
            指定水印在右下角
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ImageAlign.Center">
            
            <summary>
            指定水印在居中位置
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ImageAlign.CenterBottom">
            
            <summary>
            指定水印在底部居中
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ImageAlign.CenterTop">
            
            <summary>
            指定水印在上部居中
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ImageAlign.CenterLeft">
            
            <summary>
            指定水印在左边缘居中
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ImageAlign.CenterRight">
            
            <summary>
            指定水印在右边缘居中
            </summary>
            
        </member>
        <member name="T:ImageWaterMark.WaterMark.TextCSS">
            
            <summary>
            设置水印文字样式
            </summary>
        </member>
        <member name="F:ImageWaterMark.WaterMark.TextCSS.Bold">
            
            <summary>
            加粗文字
            </summary>
        </member>
        <member name="F:ImageWaterMark.WaterMark.TextCSS.Italic">
            
            <summary>
            倾斜文字
            </summary>
        </member>
        <member name="F:ImageWaterMark.WaterMark.TextCSS.Underline">
            
            <summary>
            下划线
            </summary>
        </member>
        <member name="F:ImageWaterMark.WaterMark.TextCSS.Strikeout">
            
            <summary>
            中划线
            </summary>
        </member>
        <member name="T:ImageWaterMark.WaterMark.ConvertEffect">
            
            <summary>
            将生成的水印图片转换为黑白或负片效果
            </summary>
        </member>
        <member name="F:ImageWaterMark.WaterMark.ConvertEffect.None">
            
            <summary>
            禁用效果
            </summary>
        </member>
        <member name="F:ImageWaterMark.WaterMark.ConvertEffect.Monochrome">
            
            <summary>
            转换为黑白效果
            </summary>
        </member>
        <member name="F:ImageWaterMark.WaterMark.ConvertEffect.Negative">
            
            <summary>
            转换为负片效果
            </summary>
        </member>
        <member name="F:ImageWaterMark.WaterMark.ConvertEffect.Brightness">
            
            <summary>
            提高图像亮度
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ConvertEffect.Contrast">
            
            <summary>
            提高图像对比度
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.ConvertEffect.RGBValue">
            
            <summary>
            改变图像R、G、B色值
            </summary>
            
        </member>
        <member name="T:ImageWaterMark.WaterMark.WmGetType">
            
            <summary>
            选择水印类型，[Text]文字水印，[Logo]图片水印,[None]禁用水印
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.WmGetType.Text">
            
            <summary>
            设置为文字水印
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.WmGetType.Logo">
            
            <summary>
            设置为图片水印
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.WmGetType.None">
            
            <summary>
            禁用水印
            </summary>
            
        </member>
        <member name="T:ImageWaterMark.WaterMark.RotateFlip">
            
            <summary>
            旋转图像角度
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.RotateFlip.Clockwise90">
            
            <summary>
            顺时针90度，
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.RotateFlip.Anticlockwise90">
            
            <summary>
            逆时针90度，
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.RotateFlip.Rotate180">
            
            <summary>
            旋转180度，
            </summary>
            
        </member>
        <member name="F:ImageWaterMark.WaterMark.RotateFlip.None">
            
            <summary>
            禁用旋转。
            </summary>
            
        </member>
       
    </members>
</doc>
